Bug 1610249 - Review Request: perl-Monkey-Patch - Scoped monkey-patching Perl module
Summary: Review Request: perl-Monkey-Patch - Scoped monkey-patching Perl module
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-31 09:53 UTC by Andrea Veri
Modified: 2018-08-17 14:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-08-11 18:38:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Andrea Veri 2018-07-31 09:53:28 UTC
Spec URL: https://fedorapeople.org/~averi/RPMs/perl-Monkey-Patch/perl-Monkey-Patch.spec
SRPM URL: https://fedorapeople.org/~averi/RPMs/perl-Monkey-Patch/perl-Monkey-Patch-0.03-1.el7.src.rpm
Description: Monkey patching is a way to extend or modify the runtime code
of a program or library without altering the original source code.

Monkey::Patch provides lexical scope monkey-patching so that you can
wrap any other package's subroutine with your own code and still have
access to the original subroutine.
Fedora Account System Username: averi

Build requires perl-Sub-Delete, currently in review (https://bugzilla.redhat.com/show_bug.cgi?id=1610231), SRPM built using mockchain.

Comment 1 Robert-André Mauchin 2018-07-31 15:52:15 UTC
 - Not really needed:

%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif

  All Fedora and EPEL supports %license

 - Add a comment explaining what does this patch do:

Patch0:    01_fix_pod.patch


URL and Source addresses are Ok.
Source archive (SHA-256: fcd7adbc81418d4dea3b993f4f02802d5ab7c6774b244dc5fd5115ec48cc58c2) is original. Ok.
Summary verified from lib/Monkey/Patch.pm. Ok.
Description verified from lib/Monkey/Patch.pm. Ok.
License verified from README. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.

$ rpmlint perl-Monkey-Patch.spec review-perl-Monkey-Patch/results/perl-Monkey-Patch-0.03-1.fc29.noarch.rpm review-perl-Monkey-Patch/results/perl-Monkey-Patch-0.03-1.fc29.src.rpm 
perl-Monkey-Patch.noarch: E: incorrect-fsf-address /usr/share/licenses/perl-Monkey-Patch/LICENSE
2 packages and 1 specfiles checked; 1 errors, 0 warnings

$ rpm -q -lv -p perl-Monkey-Patch-0.03-1.fc29.noarch.rpm 
drwxr-xr-x    2 root    root                        0 juil. 31 17:38 /usr/share/doc/perl-Monkey-Patch
-rw-r--r--    1 root    root                      169 juil. 17  2010 /usr/share/doc/perl-Monkey-Patch/CHANGES
-rw-r--r--    1 root    root                      314 juil. 17  2010 /usr/share/doc/perl-Monkey-Patch/README
drwxr-xr-x    2 root    root                        0 juil. 31 17:38 /usr/share/licenses/perl-Monkey-Patch
-rw-r--r--    1 root    root                    18249 juil. 17  2010 /usr/share/licenses/perl-Monkey-Patch/LICENSE
-rw-r--r--    1 root    root                     2212 juil. 31 17:37 /usr/share/man/man3/Monkey::Patch.3pm.gz
-rw-r--r--    1 root    root                     1317 juil. 31 17:37 /usr/share/man/man3/Monkey::Patch::Handle.3pm.gz
-rw-r--r--    1 root    root                     1226 juil. 31 17:37 /usr/share/man/man3/Monkey::Patch::Handle::Class.3pm.gz
-rw-r--r--    1 root    root                     1229 juil. 31 17:37 /usr/share/man/man3/Monkey::Patch::Handle::Object.3pm.gz
drwxr-xr-x    2 root    root                        0 juil. 31 17:37 /usr/share/perl5/vendor_perl/Monkey
drwxr-xr-x    2 root    root                        0 juil. 31 17:37 /usr/share/perl5/vendor_perl/Monkey/Patch
-rw-r--r--    1 root    root                     3418 juil. 31 17:37 /usr/share/perl5/vendor_perl/Monkey/Patch.pm
drwxr-xr-x    2 root    root                        0 juil. 31 17:37 /usr/share/perl5/vendor_perl/Monkey/Patch/Handle
-rw-r--r--    1 root    root                     2971 juil. 31 17:37 /usr/share/perl5/vendor_perl/Monkey/Patch/Handle.pm
-rw-r--r--    1 root    root                      697 juil. 31 17:37 /usr/share/perl5/vendor_perl/Monkey/Patch/Handle/Class.pm
-rw-r--r--    1 root    root                      646 juil. 31 17:37 /usr/share/perl5/vendor_perl/Monkey/Patch/Handle/Object.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-Monkey-Patch-0.03-1.fc29.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.0)
      1 perl(base)
      1 perl(Exporter)
      1 perl(Monkey::Patch::Handle)
      1 perl(Monkey::Patch::Handle::Class)
      1 perl(Monkey::Patch::Handle::Object)
      1 perl(Scalar::Util)
      1 perl(strict)
      2 perl(Sub::Delete)
      2 perl(SUPER)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p perl-Monkey-Patch-0.03-1.fc29.noarch.rpm 
perl(Monkey::Patch) = 0.03
perl(Monkey::Patch::Handle) = 0.03
perl(Monkey::Patch::Handle::Class) = 0.03
perl(Monkey::Patch::Handle::Object) = 0.03
perl-Monkey-Patch = 0.03-1.fc29
Binary provides are Ok.


Package builds in mock F29.
Ok

The package is in line with Fedora and Perl packaging guidelines.

Resolution: Package approved.

Comment 2 Gwyn Ciesla 2018-07-31 17:46:10 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Monkey-Patch

Comment 3 Fedora Update System 2018-08-01 09:27:18 UTC
perl-Monkey-Patch-0.03-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9671a2ed0a

Comment 4 Fedora Update System 2018-08-01 09:27:27 UTC
perl-Monkey-Patch-0.03-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-329bbb41f9

Comment 5 Fedora Update System 2018-08-01 09:27:33 UTC
perl-Monkey-Patch-0.03-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d87569a7b3

Comment 6 Fedora Update System 2018-08-01 15:45:39 UTC
perl-Monkey-Patch-0.03-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-329bbb41f9

Comment 7 Fedora Update System 2018-08-01 18:26:14 UTC
perl-Monkey-Patch-0.03-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9671a2ed0a

Comment 8 Fedora Update System 2018-08-01 18:30:09 UTC
perl-Monkey-Patch-0.03-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d87569a7b3

Comment 9 Fedora Update System 2018-08-11 18:38:31 UTC
perl-Monkey-Patch-0.03-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-08-11 19:09:45 UTC
perl-Monkey-Patch-0.03-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-08-17 14:12:18 UTC
perl-Monkey-Patch-0.03-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.